import sys
import os
import utilities

# Añadir el directorio del SDK al PYTHONPATH usando una ruta relativa
script_dir = os.path.dirname(os.path.abspath(__file__))  # Directorio actual del script
sys.path.insert(0, script_dir)

capif_sdk_config_path = "/Users/dgs/Downloads/capif_sdk/invoker/config.json"

from sdk import CAPIFInvokerConnector

if __name__ == "__main__":

    capif_connector = CAPIFInvokerConnector(config_file=utilities.get_config_file())

    capif_connector.register_and_onboard_Invoker()
    print("INVOKER ONBOARDING COMPLETED")

    # Aquí ya tengo certificados, ahora puedo hacer discover (get token para un api o varios, según elijas)

    # Como developer yo ya sé a qué APIs quiero acceder
    # DISCOVER filter configureCmcAmfSet
    # Without DISCOVER filter it is obtained the whole list of available APIs in CAPIF



    

